Subject: Re: bug#30182: Update

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jan 2018 15:34:57 +0200

> Date: Tue, 30 Jan 2018 09:30:51 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > Btw, if using window-at-side-p is so much more efficient than
>  > window-in-direction, then how come the former is not documented in the
>  > ELisp manual?  Should it be?
> 
> I'm not sure.  So far `window-at-side-p' is only used in
> `window-in-direction' and to quickly tell whether a mode or header
> line can be dragged ("quickly" because that doesn't check for whether
> windows have fixed size or are already to small to get resized).  It's
> not internal (not called `window--at-side-p') because it's called from
> mouse.el

If you are saying that this is actually an internal function, then I
could agree, although I'd at least mention that in the doc string.

> Also, `window-at-side-p' could check arguments better as evaluating
> (window-at-side-p nil t) shows.

Since when are we shy to document buggy APIs? ;-)